// ZipMax.h : main header file for the PROJECT_NAME application
//

#pragma once

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols


#define MAXEXTERNAL 999

class CZipMaxApp : public CWinApp
{
	public:

		CZipMaxApp();

	public:

		// "global" variables e.g. ini entries/options

		CString g_strMainFolder;

		CString g_strPackerExe[MAXEXTERNAL];
		CString g_strCommandLine[MAXEXTERNAL];
		CString g_strFinalExe;
	    CString g_strFinalCommandLine;
		CString g_strPriority;

		DWORD g_dwNumExtern;

		BOOL g_bSubfolders;
		BOOL g_bSkipIntern;
		BOOL g_bThreadRunning;
		BOOL g_bStop;
		BOOL g_bLogFile;
		BOOL g_bNoBeep;
		BOOL g_bSetCurrentTime;
		BOOL g_bShowPackerWindow;
		BOOL g_bSkipReadOnly;		// Skips files with Readonly attribute set
		BOOL g_bSkipArchive;		// Skips files with Archive attribute set
		BOOL g_bSetCurrentReadOnly;	// Marks files ReadOnly while processing, resets when done


		// "global" variables to remember gui positions

		CRect g_rectOutput;
		int g_nWidth0;
		int g_nWidth1;
		int g_nWidth2;

		PROCESS_INFORMATION g_pi;
		BOOL g_bPause;
		CString g_strOldStatus1;


	public:

		virtual BOOL InitInstance();

		DECLARE_MESSAGE_MAP()
};

extern CZipMaxApp theApp;
